package com.gic.haoban.manage.web.qo.content.account;

import com.gic.content.api.enums.ContentAccountBizTypeEnum;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/10/24 2:06 PM
 * @Description
 * @Version
 **/
public class AccountGenerateQrCodeQo implements Serializable {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 账号id
     */
    private String accountId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 二维码key
     */
    private String key;

    /**
     * 渠道类型 1 视频号 2 小红书
     */
    private Integer bizType = ContentAccountBizTypeEnum.WX_VIDEO.getCode();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }
}
